Subject: how to tar xpf a file larger than 4 GB? cygwin 1.3.2 on windows 2000 SP2.
From: nasser abbasi <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 18 Jun 2001 23:34:15 -0700

Hello.

I found that on widows 2000 there is a limit of 4 GB on processing tar files?

I installed 1.3.2 with all the tools (using the standard cygwin installation (cool  tool btw).

I have a large tar file (6.3 GB).  When I do

    tar xpf  FOO.tar

after few minutes running, tar will core dump. This happens everytime. (about 800 MB is extracted before
the core happens).

on smaller tar files, there is no problem.

$ tar xpf  FOO.tar
      0 [main] tar 768 open_stackdumpfile: Dumping stack trace to tar.exe.stackdump
Segmentation fault (core dumped)

$ cat tar.exe.stackdump

Exception: STATUS_ACCESS_VIOLATION at eip=3D574E5553
eax=3DFFFFFFFF ebx=3D75532F63 ecx=3D610327E0 edx=3D455C6E65 
esi=3D7263536E edi=3D2F6E6565
ebp=3D5C363531 esp=3D0242FB08 program=3DC:\cygwin\bin\tar.exe
cs=3D001B ds=3D0023 es=3D0023 fs=3D003B gs=3D0000 ss=3D0023
Stack trace:
Frame     Function  Args
 370517 [main] tar 768 handle_exceptions: Error while dumping state  (probably corrupted stack)

btw, the tar file is OK. I created it on Linux using gnu tar and moved  to windows to extract.

When I try to use winzip 8.0 to open the tar file, it gives an error that the
file size > 4 GB error.  Is there a way to have tar on cygwin handle files > 4 GB?

How else can I extract this tar file on windows?

thanks,
Nasser

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple